ImageService
The ImageService methods and their request and response messages.
Generated from image.proto. Every method is
POST /rpc/engram.app.v1.ImageService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
ListEnabledImages |
ListEnabledImagesRequest |
ListEnabledImagesResponse |
EnableImage |
EnableImageRequest |
EnableImageResponse |
UpdateImage |
UpdateImageRequest |
UpdateImageResponse |
DisableImage |
DisableImageRequest |
DisableImageResponse |
RefreshImage |
RefreshImageRequest |
RefreshImageResponse |
ListEnableJobs |
ListEnableJobsRequest |
ListEnableJobsResponse |
GetEnableJob |
GetEnableJobRequest |
GetEnableJobResponse |
RetryEnableJob |
RetryEnableJobRequest |
RetryEnableJobResponse |
ListRegistries |
ListRegistriesRequest |
ListRegistriesResponse |
AddRegistry |
AddRegistryRequest |
AddRegistryResponse |
DeleteRegistry |
DeleteRegistryRequest |
DeleteRegistryResponse |
Messages
Section titled “Messages”AddRegistryRequest
Section titled “AddRegistryRequest”| Field | Type |
|---|---|
host |
string |
static |
StaticRegistryAuth (one of auth) |
gcp_workload_identity |
GcpWorkloadIdentityRegistryAuth (one of auth) |
anonymous |
AnonymousRegistryAuth (one of auth) |
aws_ecr |
AwsEcrRegistryAuth (one of auth) |
AddRegistryResponse
Section titled “AddRegistryResponse”| Field | Type |
|---|---|
id |
string |
host |
string |
auth_kind |
string |
auth_principal |
string (optional) |
AnonymousRegistryAuth
Section titled “AnonymousRegistryAuth”No fields.
AwsEcrRegistryAuth
Section titled “AwsEcrRegistryAuth”| Field | Type |
|---|---|
assume_role_arn |
string (optional) |
CaptureEnvEntry
Section titled “CaptureEnvEntry”| Field | Type |
|---|---|
name |
string |
literal |
string (one of value) |
secret_ref |
string (one of value) |
DeleteRegistryRequest
Section titled “DeleteRegistryRequest”| Field | Type |
|---|---|
host |
string |
DeleteRegistryResponse
Section titled “DeleteRegistryResponse”No fields.
DisableImageRequest
Section titled “DisableImageRequest”| Field | Type |
|---|---|
image_uri |
string |
DisableImageResponse
Section titled “DisableImageResponse”No fields.
EnabledImageSummary
Section titled “EnabledImageSummary”| Field | Type |
|---|---|
id |
string |
image_uri |
string |
manifest_digest |
string |
last_refreshed_at |
string |
created_at |
string |
config |
ImageConfig |
EnableImageRequest
Section titled “EnableImageRequest”| Field | Type |
|---|---|
image_uri |
string |
config |
ImageConfig (optional) |
EnableImageResponse
Section titled “EnableImageResponse”| Field | Type |
|---|---|
job |
EnableJob |
EnableJob
Section titled “EnableJob”| Field | Type |
|---|---|
id |
string |
image_uri |
string |
manifest_digest |
string (optional) |
state |
string |
chunks_total |
uint32 (optional) |
chunks_done |
uint32 |
attempts |
uint32 |
error |
string (optional) |
created_at |
string |
updated_at |
string |
capture_phase |
string (optional) |
warm_stage |
string (optional) |
warm_stage_started_at |
string (optional) |
output_tail |
string (optional) |
prestage_hosts |
string |
warm_stages |
string |
materialize_stages |
string |
materialize_host_id |
string (optional) |
GcpWorkloadIdentityRegistryAuth
Section titled “GcpWorkloadIdentityRegistryAuth”| Field | Type |
|---|---|
impersonate_sa |
string (optional) |
GetEnableJobRequest
Section titled “GetEnableJobRequest”| Field | Type |
|---|---|
job_id |
string |
GetEnableJobResponse
Section titled “GetEnableJobResponse”| Field | Type |
|---|---|
job |
EnableJob |
ImageConfig
Section titled “ImageConfig”| Field | Type |
|---|---|
name |
string |
description |
string (optional) |
env |
map<string, string> |
workdir |
string (optional) |
resources |
ImageResources |
warm |
ImageWarmConfig (optional) |
ImageResources
Section titled “ImageResources”| Field | Type |
|---|---|
suggested_memory_mib |
uint32 (optional) |
suggested_vcpus |
uint32 (optional) |
suggested_disk_gib |
uint32 (optional) |
suggested_swap_mib |
uint32 (optional) |
ImageWarmConfig
Section titled “ImageWarmConfig”| Field | Type |
|---|---|
command |
repeated string |
timeout_secs |
uint64 (optional) |
workdir |
string (optional) |
env |
repeated CaptureEnvEntry |
network |
ProfileNetwork (optional) |
ListEnabledImagesRequest
Section titled “ListEnabledImagesRequest”No fields.
ListEnabledImagesResponse
Section titled “ListEnabledImagesResponse”| Field | Type |
|---|---|
images |
repeated EnabledImageSummary |
ListEnableJobsRequest
Section titled “ListEnableJobsRequest”No fields.
ListEnableJobsResponse
Section titled “ListEnableJobsResponse”| Field | Type |
|---|---|
jobs |
repeated EnableJob |
ListRegistriesRequest
Section titled “ListRegistriesRequest”No fields.
ListRegistriesResponse
Section titled “ListRegistriesResponse”| Field | Type |
|---|---|
registries |
repeated RegistryCredentialSummary |
RefreshImageRequest
Section titled “RefreshImageRequest”| Field | Type |
|---|---|
image_uri |
string |
force_recapture |
bool |
RefreshImageResponse
Section titled “RefreshImageResponse”| Field | Type |
|---|---|
job |
EnableJob |
RegistryCredentialSummary
Section titled “RegistryCredentialSummary”| Field | Type |
|---|---|
id |
string |
registry_host |
string |
auth_kind |
string |
auth_principal |
string (optional) |
created_at |
string |
updated_at |
string (optional) |
RetryEnableJobRequest
Section titled “RetryEnableJobRequest”| Field | Type |
|---|---|
job_id |
string |
RetryEnableJobResponse
Section titled “RetryEnableJobResponse”| Field | Type |
|---|---|
job |
EnableJob |
StaticRegistryAuth
Section titled “StaticRegistryAuth”| Field | Type |
|---|---|
username |
string |
password |
string |
UpdateImageRequest
Section titled “UpdateImageRequest”| Field | Type |
|---|---|
image_uri |
string |
config |
ImageConfig |
allow_recapture |
bool |
UpdateImageResponse
Section titled “UpdateImageResponse”| Field | Type |
|---|---|
job |
EnableJob (optional) |